petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCCompositeGetPC

Gets one of the PC objects in the composite PC.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCompositeGetPC(PC pc,PetscInt n,PC *subpc)

Not Collective

### Input Parameter

| pc | - the preconditioner context
| n | - the number of the pc requested

### Output Parameters

subpc -the PC requested

### Notes

To use a different operator to construct one of the inner preconditioners first call PCCompositeGetPC(), then call PCSetOperators() on that PC.

### Keywords

PC, get, composite preconditioner, sub preconditioner

### See Also

PCCompositeAddPC(), PCCompositeGetNumberPC(), PCSetOperators()

### Level

Developer

### Location

src/ksp/pc/impls/composite/composite.c

### Implementations

PCCompositeGetPC_Composite in src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages